<!-- //----------------------------------------------------------------------------->
<!-- //This file keeps the script functions without messages.---------->
<!-- //All functions can be re-used by projects---------------------------->
<!-- //----------------------------------------------------------------------------->
<!-- // function moveOver(thischoiceBox, availableitems) ------------->
<!-- // function addtoList(thischoiceBox, newItem)           ------------->
<!-- // function removeMeOld(thischoiceBox)                         ------------->
<!-- // function removeMe(thischoiceBox)                  ------------->
<!-- // function setToday(thismonth,thisday,thisyear)      ------------->
<!-- // function removeDate(setMon, setDay, setYear)    ------------->
<!-- // function setDate(setMon, setDay, setYear)           ------------->
<!-- // function goBack()                                                   ------------->
<!-- // function checkAllorNone(SelectAll, SelectOne)       ------------->
<!-- // function checkSelectAll(SelectAll, SelectOne)         ------------->
<!-- // function checkTextLength(string, minimum_length, maximum_length, message)         ------------->
<!-- // function checkBoundary(string, minimum, maximum, message)         ------------->
<!-- // function checkSyntax(string, regexp, message)         ------------->
<!-- // function checkDirectoryPath(string, message)         ------------->
<!-- // function checkDirectoryPathWithoutFirstSlash(string, message)         ------------->
<!-- // function checkFQDNFormat(string, message, flag)         ------------->
<!-- // function checkIPAddressFormat(string, message, flag)         ------------->
<!-- // function checkEmailFormat(string, message)         ------------->
<!-- // function checkEmailFromFormat(string, message)         ------------->
<!-- // function checkEncodingFormat(string, message)         ------------->
<!-- // function checkPasswordFormat(form)         ------------->
<!-- // function checkDoubleByte(string, message)	-------------> 
<!-- // function checkJavaPlugin(message)         ------------->
<!-- // function checkDateFormat(string,message)         ------------->
<!-- // function checkDate(string)         ------------->
<!-- // function checkURLFormat(string,message)         ------------->
<!-- // function checkCharset(string)         ------------->
<!-- //----------------------------------------------------------------------------->

<!-- Begin

function addtoList(thischoiceBox, newItem)
{
var boxLength = thischoiceBox.length;
var i;
								 
	// check if the new Item is disabled, do not do it
	if (newItem.disabled) return;
	
	// check if the item is already there
	if (boxLength != 0) {
		for (i = 0; i < boxLength; i++) {
			thisitem = thischoiceBox.options[i].text;
			if (thisitem == newItem.value) {
				return;
			}
		}
	} 

	if (newItem.value.length > 0) {
		newoption = new Option(newItem.value, newItem.value, false, false);
		thischoiceBox.options[boxLength] = newoption;
		newItem.value="";
	}
}

function checkDirectoryPathSlash(string, message1, message2)
{
var s = string;
var len = s.length;

	if (len <= 0) return true;

	if (s.substr(0, 1) != "/") {
		alert(message1);
		return false;
	}

        if ((s.substr(0, 1) == "/") && (len == 1)) {
                alert(message1);
                return false;
        }
        

	if (s.substr(len-1, 1) == "/" && len!=1) {
		alert(message2);
		return false;
	}
	return true;
}

function deleteTheOption(object,index) {
    object.options[index] = null;
}

function addTheOption(object,text,value) {
    var defaultSelected = false;
    var selected = false;
    var optionName = new Option(text, value, defaultSelected, selected)
    object.options[object.length] = optionName;
    object.options[object.length-1].selected = false;
}

function NormalSort(a, b) 
{ 
   if(a[1] > b[1]) 
      return 1; 
   if(a[1] < b[1]) 
      return -1; 
   return 0;
} 


function sortTheOptions(theOption) {
    var copyOption = new Array();
    for (var i=0;i<theOption.options.length;i++)
        copyOption[i] = new Array(theOption[i].value,theOption[i].text);

    copyOption.sort(NormalSort);

    for (var i=theOption.options.length-1;i>-1;i--)
        deleteTheOption(theOption,i);

    for (var i=0;i<copyOption.length;i++)
        addTheOption(theOption,copyOption[i][1],copyOption[i][0])
}


function moveOver(thischoiceBox, availableitems)
{
var iAvaiableLength = availableitems.length;
 
	// check if the source item is disabled, do not do it
	if (availableitems.disabled) return;

	// record the selected one.
	for (i = iAvaiableLength-1; i >= 0; i--) {
		if (availableitems.options[i].selected) {
			stemp = availableitems.options[i].text;
			if (bInsideOption(thischoiceBox, stemp) == false) {
				iLength2 = thischoiceBox.length;
				newoption = new Option(stemp, stemp, false, false);
				thischoiceBox.options[iLength2] = newoption;
			}
			// remove them
			availableitems.options[i] = null;
		}
	}
	sortTheOptions(thischoiceBox);
}


function removeMeOld(thischoiceBox) {
var boxLength = thischoiceBox.length;
arrSelected = new Array();
var count = 0;

	// check if the source item is disabled, do not do it
	if (thischoiceBox.disabled) return;

	for (i = 0; i < boxLength; i++) {
		if (thischoiceBox.options[i].selected) {
			arrSelected[count] = i;
			count++;
		}
	}

	for (i = count-1; i >= 0; i--) {
		thischoiceBox.options[arrSelected[i]] = null;
	}
}

function removeMe(thischoiceBox, thisInputBox) {
var boxLength = thischoiceBox.length;
arrSelected = new Array();
var count = 0;

	// check if the source item is disabled, do not do it
	if (thischoiceBox.disabled) return;

	for (i = 0; i < boxLength; i++) {
		if (thischoiceBox.options[i].selected) {
			arrSelected[count] = i;
			thisInputBox.value=thischoiceBox.options[i].value;
			count++;
		}
	}

	for (i = count-1; i >= 0; i--) {
		thischoiceBox.options[arrSelected[i]] = null;
	}
}

function setToday(thismonth,thisday,thisyear)
{
    var current_date   = new Date();
    var day   = current_date.getDate();
    var month = current_date.getMonth()+1;
    var year  = current_date.getYear();

    if (navigator.appName == "Netscape") {
	year=year+1900;
    }
    
  for (var i=0; i<12; i++) {
	if (thismonth.options[i].value==month)
		thismonth.options[i].selected=true;
  }
  for (var i=0; i<31; i++) {
	if (thisday.options[i].value==day)
		thisday.options[i].selected=true;
  }

  for (var i=0; i<2; i++) {
	if (thisyear.options[i].value==year)
		thisyear.options[i].selected=true;
  }
//  thismonth.value =month;
//  thisday.value =day;
//  thisyear.value=year;    
}

function setServerToday(thismonth,thisday,thisyear, serverTime)
{
    var current_date   = new Date();
    current_date.setDate(parseInt(serverTime.substr (3,2), 10))
    current_date.setMonth(parseInt(serverTime.substr (0,2)-1, 10))
    current_date.setYear(parseInt(serverTime.substr (6,4), 10))

    var day   = current_date.getDate();
    var month = current_date.getMonth()+1;
    var year  = current_date.getYear();

    if (navigator.appName == "Netscape") {
	year=year+1900;
    }
    
  for (var i=0; i<12; i++) {
	if (thismonth.options[i].value==month)
		thismonth.options[i].selected=true;
  }
  for (var i=0; i<31; i++) {
	if (thisday.options[i].value==day)
		thisday.options[i].selected=true;
  }

  for (var i=0; i<2; i++) {
	if (thisyear.options[i].value==year)
		thisyear.options[i].selected=true;
  }
//  thismonth.value =month;
//  thisday.value =day;
//  thisyear.value=year;    
}

//Date Insert: Pass the Select objects
function removeDate(setMon, setDay, setYear)
{
var i;
	for (i=setMon.length; i>=0; i--)
	{
		if (setMon.options[i] != null)
		   setMon.options[i]= null;
	}
	for (i=setDay.length; i>=0; i--)
	{
		if (setDay.options[i] != null)
		   setDay.options[i]= null;
	}
	for (i=setYear.length; i>=0; i--)
	{
		if (setYear.options[i] != null)
		   setYear.options[i]= null;
	}
	setMon.options[0]=new Option("-- --", "-1");	
	setDay.options[0]=new Option("- -", "-1");	
	setYear.options[0]=new Option("-- --", "-1");	
	setMon.options[0].selected=true;
	setDay.options[0].selected=true;
	setYear.options[0].selected=true;
}

function setDate(setMon, setDay, setYear)
{
	removeDate(setMon, setDay, setYear)

	setMon.options[0]=new Option("January", "1");	
	setMon.options[1]=new Option("February", "2");	
	setMon.options[1]=new Option("February", "2");	
	setMon.options[2]=new Option("March", "3");
	setMon.options[3]=new Option("April", "4");
	setMon.options[4]=new Option("May", "5");
	setMon.options[5]=new Option("June", "6");
	setMon.options[6]=new Option("July", "7");
	setMon.options[7]=new Option("August", "8");
	setMon.options[8]=new Option("September", "9");
	setMon.options[9]=new Option("October", "10");
	setMon.options[10]=new Option("November", "11");
	setMon.options[11]=new Option("December", "12");
	
	for (i=1; i<32; i++)
	{
		j = i.toString()
		setDay.options[i-1]=new Option(j, j);
	}

	var current_date = new Date()

	for (i = 0; i < 11; i++)
        {
		StartYear = current_date.getFullYear() - i;
		j = StartYear.toString();
		setYear.options[i]=new Option(j, j);
	}
}

function setServerDate(setMon, setDay, setYear, serverTime)
{
	// do we really need this? should we removeDate of the serverTime?
	removeDate(setMon, setDay, setYear)

	setMon.options[0]=new Option("January", "1");	
	setMon.options[1]=new Option("February", "2");	
	setMon.options[1]=new Option("February", "2");	
	setMon.options[2]=new Option("March", "3");
	setMon.options[3]=new Option("April", "4");
	setMon.options[4]=new Option("May", "5");
	setMon.options[5]=new Option("June", "6");
	setMon.options[6]=new Option("July", "7");
	setMon.options[7]=new Option("August", "8");
	setMon.options[8]=new Option("September", "9");
	setMon.options[9]=new Option("October", "10");
	setMon.options[10]=new Option("November", "11");
	setMon.options[11]=new Option("December", "12");
	
	for (i=1; i<32; i++)
	{
		j = i.toString()
		setDay.options[i-1]=new Option(j, j);
	}

	var current_date = new Date()

	current_date.setDate(parseInt(serverTime.substr (3,2), 10))
	current_date.setMonth(parseInt(serverTime.substr (0,2)-1, 10))
	current_date.setYear(parseInt(serverTime.substr (6,4), 10))

	for (i = 0; i < 11; i++)
        {
		StartYear = current_date.getFullYear() - i;
		j = StartYear.toString();
		setYear.options[i]=new Option(j, j);
	}
}

/* turns back to the previous frame */
function goBack()
{
    window.location.href=parent.frames[2].history.go(-1);
}

/* click one checkbox to select/de-select all related checkboxes */
function checkAllorNone(SelectAll, SelectOne)
{
var i;
var newState;
var selectCount;
   
    if (SelectAll.checked)    
            newState =SelectAll.checked;
    else
          newState = false;
 
    selectCount = SelectOne.length;

    for (i=0; i<selectCount; i++)    
        SelectOne[i].checked=newState;
}

/* check all related checkboxes to decide the SelectAll checkbox state */
function checkSelectAll(SelectAll, SelectOne)
{
var i;
var newState;
var selectCount;

    selectCount = SelectOne.length;

    for (i=0; i<selectCount; i++)    
    {
        if (!SelectOne[i].checked) {           
	    SelectAll.checked = false;
	    return;
	  }            
     }
     SelectAll.checked = true;
}

function SetOptions()
{
var ActionSelect;

	ActionSelect = document.forms[0].select;

	ActionSelect.selectIssssndex(3);
//	if (document.forms[0].CleanFailAction == 1)
//		ActionSelect.
}

/* generate dependency between two objects */
function UIDependent(srcObj, objDepended)
{									  
	// if the objDepended is disabled, or un-checked. src is disabled.

	if (objDepended.disabled) srcObj.disabled = true;
	else 
		if (objDepended.checked) srcObj.disabled = false;
		else srcObj.disabled = true;
}

/* checks length of text */
function checkTextLength(string, minimum_length, maximum_length, message){
	if((minimum_length >= 0) && (maximum_length >= 0) && (maximum_length >= minimum_length)){
		var tmpstr=new String(string);
		if((tmpstr.length <= maximum_length) && (tmpstr.length >= minimum_length))
			return true;
	}
	if(message.length)
		alert(message);
	return false;
}

/* checks boundary with two error messages */
/* 
 * string - target string
 * minimum - lower bound integer
 * maximum - upper bound integer
 * message - error string showing on the dialog
 */
function checkBoundary(string, minimum, maximum, message){
	if(!checkSyntax(string,"^\\s*([1-9]\\d*|[0])\\s*$",message)) return false;
	if((string.length!=0) && !isNaN(string) && (string.indexOf('.')==-1) && (string.indexOf('+')==-1) && (string.indexOf(' ')==-1) && (maximum >= minimum) && (maximum >= 0) && (minimum >= 0)){
		var tmpint=parseInt(string);
		if((tmpint >= minimum) && (tmpint <= maximum))
			return true;
	}
	if(message.length)
		alert(message);
	return false;
}

/* checks boundary with two error messages */
/* 
 * string - target string
 * minimum - lower bound integer
 * maximum - upper bound integer
 * message1 - error string when the value is less than minimum integer 
 * message2 - error string when the value is greater than maximum integer
 */
function checkBoundaryWithDetailedMessage(string, minimum, maximum, message1, message2){
	if((string.length!=0) && !isNaN(string) && (string.indexOf('.')==-1) && (string.indexOf('+')==-1) && (maximum >= minimum) && (maximum >= 0) && (minimum >= 0)){
		var tmpint=parseInt(string);
		if((tmpint >= minimum) && (tmpint <= maximum))
			return true;
	}
	if(message1.length && (tmpint < minimum))
		alert(message1);
	else if(message1.length && (tmpint > maximum))
		alert(message2);
	return false;
}

/* checks boundary with three error messages */
/* 
 * string - target string
 * minimum - lower bound integer
 * maximum - upper bound integer
 * message1 - error string when the value is an invalid integer format
 * message2 - error string when the value is less than minimum integer 
 * message3 - error string when the value is greater than maximum integer
 */
function checkBoundaryWithDetailedMessage(string, minimum, maximum, message1, message2, message3){
	if(!checkSyntax(string,"^\\s*([1-9]\\d*|[0])\\s*$",message1)) return false;
	if((string.length!=0) && !isNaN(string) && (string.indexOf('.')==-1) && (string.indexOf('+')==-1) && (maximum >= minimum) && (maximum >= 0) && (minimum >= 0)){
		var tmpint=parseInt(string);
		if((tmpint >= minimum) && (tmpint <= maximum))
			return true;
	}
	else{
		alert(message1);
		return false;
	}
	if(message1.length && (tmpint < minimum))
		alert(message2);
	else if(message1.length && (tmpint > maximum))
		alert(message3);
	return false;
}

/* checks syntax with regex */
function checkSyntax(string, regexp, message){
	var re = new RegExp(regexp);
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}

/* checks full path */
function checkDirectoryPath(string, message){
	var re1 = /^[\x20-\x7e]*$/;
	//var re2 = /^(\/([~!@$%^_\-+={}\[\],?\w\.*#`&()|'><\s\\"]){1,255})*(\/){0,1}$/;
	var re2 = /^(\/([\[\]~!@$%^_\-+={},?\w\.*#`&()|'><\s\\]){1,255})*(\/){0,1}$/;
	if(string.indexOf("/") != -1 && string.indexOf("\\") != -1)
	{
		if(string.indexOf("/") == (string.indexOf("\\")-1))
		{
			alert(message);
			return false;
		}
	}
        if(string.indexOf("/") != -1 && string.indexOf("\"") != -1)
        {
                if(string.indexOf("/") == (string.indexOf("\"")-1))
                {
                        alert(message);
                        return false;
                }
        }

	if(re1.test(string)&&re2.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}

/* checks full path without first slash */
function checkDirectoryPathWithoutFirstSlash(string, message){
	var re = /^\//;
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}

/* checks FQDN format */
function checkFQDNFormat(string, message){
	//Based on RFC-1123 and 952, hyphen cannot be included in first character.
	//Based on RFC-952, GRAMMATICAL HOST TABLE SPECIFICATION, B. Lexical grammar,
	//following formats are allowed as host name.
	//<hname> ::= <name>*["."<name>]
	//<name>  ::= <let>[*[<let-or-digit-or-hyphen>]<let-or-digit>]
	//In addition, RFC-1123 allow to use digit on first character in hostname
	var re = /^\w([\w-]*[\w])?(\.\w([\w-]*[\w])?)+$/;
	var re_number = /^[\d\.]*$/;		
	if(re_number.test(string))
		return false;
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}

/* checks IP address format */
function checkIPAddressFormat(string, message){
	var re = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
	if(re.test(string)) {
		re.exec(string);
		if((RegExp.$1 >= 1) && (RegExp.$1 <= 255) && (RegExp.$2 >= 0) && (RegExp.$2 <= 255) && (RegExp.$3 >= 0) && (RegExp.$3 <= 255) && (RegExp.$4 >= 0) && (RegExp.$4 <= 255) && (string != "0.0.0.0") && (string != "255.255.255.255"))
			return true;
	}
	if(message.length)
		alert(message);
	return false;
}

/* checks email address format 
function checkEmailFormat(string, message) {
	var re = /^(.*)(@|%|!)(.*)$/;		
	if(re.test(string) && string.search("\"")==-1)
		return true;
	if(message.length)
		alert(message);
	return false;
}
*/

/* checks email address format */
/*
 * This function is a strict email checking mechism, if you want to use a
 * loose one, please use the function above.
 */
function checkEmailFormat(string, message){
	var userString;
	var domainString;
	var emailPat = /^(.*)@(.*)$/;
	var specialChars = "\\(\\)><@,;:\\\\\\\"\\.\\[\\]\\\/\\\?\\\+\\\*\\\'";
	var validChars =  "[^\\s"+specialChars+"]";
	var quotedUser = "(\"[^\"]*\")";
	var ipDomainPat = /^\[(\d{2,3})\.(\d{2,3})\.(\d{2,3})\.(\d{2,3})\]$/;
	var atom=validChars+"+";
	var word="("+atom+"|"+quotedUser+")";
	var userPat=new RegExp("^"+word+"(\\."+word+")*$");
	var domainPat=new RegExp("^"+atom+"(\\."+atom+")*$");
	
	var matchArray=string.match(emailPat);
	if(matchArray){
		userString=matchArray[1];
		domainString=matchArray[2];
	}
	else{
		if(message.length)
			alert(message);
		return false;
	}

	for(var i=0;i<userString.length;i++)
		if(userString.charCodeAt(i)>127){
			if(message.length)
				alert(message);
			return false;
		}

	for(var i=0;i<domainString.length;i++)
		if(domainString.charCodeAt(i)>127){
			if(message.length)
				alert(message);
			return false;
		}
	
	if(!userString.match(userPat)){
		if(message.length)
			alert(message);
		return false;
	}
	
	var CheckIP = 0;
	if(domainString.indexOf("[") == 0 && domainString.indexOf("]") == domainString.length - 1)
	{
		domainString = domainString.substr(1,domainString.length - 2);
		CheckIP = 1;
	}
	
	var re = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
	if(re.test(domainString)) {
		var IPArray = domainString.split(".");
		
		if((IPArray[0] >= 1) && (IPArray[0] <= 255) && (IPArray[1] >= 0) && (IPArray[1] <= 255) && (IPArray[2] >= 0) && (IPArray[2] <= 255) && (IPArray[3] >= 0) && (IPArray[3] <= 255) && (domainString != "0.0.0.0") && (domainString != "255.255.255.255"))
		{
			return true;
		}
		else
		{
			alert(message);
			return false;
		}
	}
	else
	{
		if(CheckIP == 1)
		{
			alert(message);
			return false;
		}
	}

	var atomPat=new RegExp("^"+atom+"$");
	var domainMatchArray=domainString.split(".");

	if(domainMatchArray.length<2){
		if(message.length)
			alert(message);
		return false;
	}	

	for(var i=0; i<domainMatchArray.length; i++){
		if(!domainMatchArray[i].match(atomPat)){
			if(message.length)
				alert(message);
			return false;
		}
	}	
	
	return true;
	
}

/* checkes email sender format */
function checkEmailFromFormat(string,message){
	var specialChars = "\\(\\)><;\\\\\\\"\\[\\]\\\/\\\?\\\+\\\*\\\'";
	var validChars =  "[^"+specialChars+"]";
	var atom=validChars+"+";
	var atomPat=new RegExp("^"+atom+"$");
	if(!string.match(atomPat)){
		if(message.length)
			alert(message);
		return false;
	}
	return true;
}

/* checks ascii format */
function checkAsciiFormat(string, message) {
	var re = /^[\x20-\x7e]*$/;		
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}


/* checks encoding format */
function checkEncodingFormat(string, message) {
	var re = /^[\w-]*$/;		
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
}

/* checks password format */
function checkPasswordFormat(string, message){
	var re = /^[a-zA-Z0-9-]*$/;
	if(re.test(string))
		return true;
	if(message.length)
		alert(message);
	return false;
//    return true;
}

/* checks double byte */
function checkDoubleByte(string, message){
	var i;
	for(i=0;i<string.length ; i++){
		if((string.charAt(i) < String.fromCharCode(0x0000)) || (string.charAt(i) > String.fromCharCode(0x00ff))){
			alert(message);
			return true;
		}
	}
	return false;
}

/* checks Java Plug-in */
function checkJavaPlugin(message){
	var i=0;
	if(navigator.appName.indexOf("Netscape") != -1) {
		if(navigator.javaEnabled() != true)
			alert(message);
	}
	else if(navigator.appName.indexOf("Microsoft") != -1){
		if(clientInformation.javaEnabled() != true)
			alert(message);
	}	
}

/* checks date format */
function checkDateFormat(string, message){
        var re = /^\d{1,2}\/\d{1,2}\/\d{4}$/;
        if(re.test(string))
	{
                return true;
	}
        if(message.length)
                alert(message);
        return false;
}


/* checks date  */
function checkDate(string){
	var d=new Date();
	date=string.split("/");
	d.setYear(parseInt(date[2], 10));
	d.setMonth(parseInt(date[0]-1, 10));
	d.setDate(parseInt(date[1], 10))
	if(d.getDate()!=parseInt(date[1], 10) ||
	   d.getMonth()!=parseInt(date[0]-1, 10))
	{
		alert(strInvalidDate);
		return false;
	}
	if(parseInt(date[2], 10)<1900)
	{
		alert(strInvalidYear);
		return false;
	}
		
        return true;
}

/* checks Character set */
function checkCharset(string,message)
{
	if(string=="us-ascii") 	return true;
        if(string=="US-ASCII")  return true;
	if(string=="iso-2022-jp") return true;
        if(string=="ISO-2022-JP") return true;
	if(string=="shift-jis") return true;
        if(string=="SHIFT-JIS") return true;		
	if(string=="gb2312")	return true;
        if(string=="GB2312")    return true;
	if(string=="big5")	return true;
        if(string=="BIG5")      return true;
	if(string=="euc-kr")	return true;
        if(string=="EUC-KR")    return true;
	if(string=="iso-8859-1")	return true;
        if(string=="ISO-8859-1")        return true;
	if(string=="utf-8")		return true;
        if(string=="UTF-8")        return true;        
	if(message.length)
                alert(message);
        return false;
}

//  End -->


<!-- Original:  Ben McFarlin (mcfarlin@netscape.net) -->
<!-- Web Site:  http://sites.netscape.net/mcfarlin -->

<!-- Modified:  Leo Zhong (leo_zhong@trend.com.tw) -->

<!-- Modified:  Han Huang (han_huang@trend.com.tw) -->

<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->

