//////////////////////////////////////////////////////////
// <== DO NOT TRANSLATE

// Helper function
function GetStringWithArg(str)
{
	var result = str;
	for (var i = 1; i < arguments.length; ++i)
	{
		result = result.replace("{" + (i-1) + "}", arguments[i]);
	}
	return result;
}

// TIP Style
var tipId = ["tooltip"];
var tipStyle = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-10];
var tipStyleStay = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",3,,12,-10];
var tipStyleWide = ["black","","","","",11,"black","white","","","",11,350,,0,"#666666",3,24,0.5,93,,"",,,12,-10];
var tipStyleRightCenter = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-30];
var tipStyleRightHigh = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-45];

// DO NOT TRANSLATE ==>
//////////////////////////////////////////////////////////


// localization.js
//////////////////////////////////////////////////////////

// string constants (Should be localized)
var strConfirmScanNowMessage= ["立即扫描\n\n单击“确定”可立即开始扫描。\n\n"];
var strScanNowCancelled = ["已取消“立即扫描”。\n\n"];

var strPurgeNowConfirmMessage= ["立即清除\n\n单击“确定”可开始清除日志；单击“取消”可终止“立即清除”。\n\n"];
var strPurgeNowCancelled = ["已取消“立即清除”。\n\n"];


var strCompressedFileSizeInvalid= ["缺少压缩文件大小。它应该为整数。请确认压缩文件大小为整数，然后重试。"];
var strCompressedFileSizeCanNotBeLessThanOne = ["压缩文件的大小不应小于 1 MB"];
var strCompressedFileSizeCanNotBeLargerThan2000 = ["计划用于扫描的压缩文件大小太大。最多只能扫描 2GB 的压缩文件。"];



var strExtToScanLength = ["您键入和/或选择的文件扩展名的字符总数必须介于 1 到 1023 之间。\n\n请一次至少键入或选择一个文件扩展名或添加更少的文件扩展名。" ];


/* Link */
var strSecurityInfoLink = "http://www.trendmicro.com/vinfo/zh-CN/";

/* Manual Scan */
var strStartManualScanFailed = ["Trend Micro NAS Security 无法启动手动扫描。请验证 Trend Micro NAS Security 服务是否正常运行。如果该问题仍然存在，请与技术支持联系。"];
var strSaveManualScanFailed = ["Trend Micro NAS Security 无法保存手动扫描选项。请验证 Trend Micro NAS Security 服务是否正常运行。如果该问题仍然存在，请与技术支持联系。"];

/* Scan Progress */
var strCloseWindow = ["关闭该窗口"];
var strConfirmStopScan = ["确实要停止该扫描吗?"];

/* Update */
var strUpdateOptionIsNone= ["没有进行任何选择。请选择要更新的组件，然后重试。"];

/* Menu */
var strErrNoControlName = ["找不到目标名称"];
var strErrExceptionMenu = ["发生异常:\n"];
var strErrNoParentMenu = ["找不到父菜单: "];
var strErrNoSingleMenu = ["找不到单个菜单: "];
var strErrNoMenuItem = ["未找到该菜单项，请再次检查该函数的参数"];

/* expiration */

/* password */
var strPasswordLength= ["“密码”太长。长度不得超过 32 个字符。请输入正确的密码，然后重试。"];               

/* serial number */

/* Java Plug-in */

/* Date */
var strInvalidDateFormat = ["有效的格式为 MM/DD/YYYY。请输入有效的日期，然后重试。"];
var strInvalidDate= ["该日期不存在。有效的格式为 MM/DD/YYYY。请输入有效的日期，然后重试。"];
var strInvalidYear= ["年份必须大于或等于 1900。请输入有效的日期，然后重试。"];
var strInvalidDateFormatFromTo = ["开始日期应该早于结束日期。请输入有效的日期，然后重试。"];

/* URL */

/* Logs */
var strDaysToKeepLogs = ["“要保留日志的天数”值必须介于 1 和 1000 之间。请输入正确的值，然后重试。"];
var strPageBoundary = "页数应该介于 1 到 {0} 之间。";
var strPurgeAfterToday = ["输入的日期晚于今天的日期。这将删除所有存储的日志。是否仍要继续?"];
var strConfirmDeleteLog = "立即删除日志？";

/* Calendar */
var strCalMonthYearFormat = "{0} {1}"; // Original: "Jan. 2010"

var strShortMonthJan = "1 月";
var strShortMonthFeb = "2 月";
var strShortMonthMar = "3 月";
var strShortMonthApr = "4 月";
var strShortMonthMay = "5 月";
var strShortMonthJun = "6 月";
var strShortMonthJul = "7 月";
var strShortMonthAug = "8 月";
var strShortMonthSep = "9 月";
var strShortMonthOct = "10 月";
var strShortMonthNov = "11 月";
var strShortMonthDec = "12 月";

var strShortWeekSun = "星期日";
var strShortWeekMon = "星期一";
var strShortWeekTue = "星期二";
var strShortWeekWed = "星期三";
var strShortWeekThu = "星期四";
var strShortWeekFri = "星期五";
var strShortWeekSat = "星期六";

/* Proxy */
var strProxyServerLength = ["代理服务器的 IP 地址/名称应该为 1 到 255 个字符。请输入正确的代理服务器信息，然后重试。"]; 
var strProxyInvalidFormat = ["代理服务器的 IP 地址/名称无效。请输入正确的代理服务器信息，然后重试。"];
var strPasswordCharInvalid = ["“密码”应该采用 ASCII 格式。"];
var strUserIdLength = ["“用户 ID”长度太长。它不应该超过 255 个字符。请输入正确的“用户 ID”，然后重试。"];
var strUserIdCharInvalid = ["“用户 ID”应该采用 ASCII 格式。"];
var strProxyPort = ["“端口”值必须介于 1 和 65535 之间。请输入有效的值，然后重试。"]; 
var strProxySwitchFormAlertMsg = ["您将要访问另一个代理服务器设置屏幕。当前屏幕中未保存的更改将会丢失。请在继续之前保存当前屏幕中的更改。\n\n单击“确定”可前进到新屏幕，而不进行保存。单击“取消”可停留在当前屏幕。\n\n"];
var strNoGeneralProxySetAlert=["未设置“常规代理设置”；请首先设置它，或者也可以选择“病毒码更新”的自定义设置。"];

/*  SMTP */
/* Alert Settings */
 
        
        
        
        


        


     
   
        
        

var strExtInvalidFormat = ["扩展名列表包含无效的字符(\" . \[ \])。请修改列表，然后重试。"];

var strExtCharInvalid = ["检测到非 ASCII 字符集。请键入基于 ASCII 的扩展名。"];

var strConfigurationFileModified= ["配置文件曾经被另一个程序修改。若要用新的配置文件覆盖以前的修改，请单击“确定”。"];

var strSpecifiedFileExtensionsInvalid = ["您未选择“仅选择具有指定文件扩展名的文件”中的任何选项。" ];

//Scan action
var STR_CUSTOM_ACTION_PASS = ["传递"];
var STR_CUSTOM_ACTION_DELETE = ["删除"];
var STR_CUSTOM_ACTION_RENAME = ["更名"];
var STR_CUSTOM_ACTION_QUARANTINE = ["隔离"];
var STR_CUSTOM_ACTION_CLEAN = ["清除"];

//Virus Type
var STR_VIRUS_TYPE_UNIVERSE = "所有类型";
var STR_VIRUS_TYPE_JOKE = "恶作剧程序";
var STR_VIRUS_TYPE_TROJAN = "特洛伊木马程序";
var STR_VIRUS_TYPE_VIRUS = "病毒";
var STR_VIRUS_TYPE_TEST_VIRUS = "测试病毒";
var STR_VIRUS_TYPE_SPYWARE = "间谍软件/灰色软件";
var STR_VIRUS_TYPE_PACKER = "加壳软件";
var STR_VIRUS_TYPE_OTHER = "其他";

//Tool Tip
var strIntelliScanToolTip = ["智能扫描","智能扫描会优化性能，方法是使用真实文件类型识别检查文件头以及只扫描已经知道可能隐藏恶意代码的文件类型。<p>真实文件类型识别有助于识别通过无害扩展名伪装的恶意代码。"];
var strBackUpToolTip = ["备份","您可以使用 Trend Micro NAS Security 备份选择的第一个操作为 “清除”的文件。备份功能不适用于其他操作，如“隔离”和 “传递”。"];
var strActiveActionToolTip = ["预设操作","预设操作是一组预先配置的扫描操作，用于扫描病毒以及其他类型的潜在安全风险。这些操作是在趋势科技的每个新病毒码文件更新中更新的。如果您不熟悉扫描操作或者您不确定哪个操作适合于某个特定类型的安全风险，趋势科技建议选择预设操作。"];
var strIncludedOtherExtensionsToolTip = ["其他扩展名","输入要在扫描中包含的其他文件扩展名。该字段不区分大小写。例如，您可以输入“exe”或“EXE”来表示可执行文件。"];

//TMCM register
var strProxyUserNameInvalid				= "请采用 ASCII 格式输入有效的代理服务器身份验证用户名。";
