//////////////////////////////////////////////////////////
// <== DO NOT TRANSLATE

// Helper function
function GetStringWithArg(str)
{
	var result = str;
	for (var i = 1; i < arguments.length; ++i)
	{
		result = result.replace("{" + (i-1) + "}", arguments[i]);
	}
	return result;
}

// TIP Style
var tipId = ["tooltip"];
var tipStyle = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-10];
var tipStyleStay = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",3,,12,-10];
var tipStyleWide = ["black","","","","",11,"black","white","","","",11,350,,0,"#666666",3,24,0.5,93,,"",,,12,-10];
var tipStyleRightCenter = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-30];
var tipStyleRightHigh = ["black","","","","",11,"black","white","","","",11,300,,0,"#666666",3,24,0.5,93,,"",,,12,-45];

// DO NOT TRANSLATE ==>
//////////////////////////////////////////////////////////


// localization.js
//////////////////////////////////////////////////////////

// string constants (Should be localized)
var strConfirmScanNowMessage= ["Scan immédiat\n\nCliquez sur 'OK' pour lancer le scan sur le champ.\n\n"];
var strScanNowCancelled = ["Scan immédiat annulé.\n\n"];

var strPurgeNowConfirmMessage= ["Purge immédiate\n\nCliquez sur \"OK\" pour lancer la purge des journaux ; cliquez sur Annuler pour arrêter la purge immédiate.\n\n"];
var strPurgeNowCancelled = ["Purge immédiate annulée.\n\n"];


var strCompressedFileSizeInvalid= ["La taille du fichier compressé manque. Il doit s'agir d'un nombre entier. Assurez-vous que la taille du fichier compressé est un nombre entier, puis réessayez."];
var strCompressedFileSizeCanNotBeLessThanOne = ["La taille du fichier compressé ne peut être inférieure à 1 Mo."];
var strCompressedFileSizeCanNotBeLargerThan2000 = ["Le fichier compressé dont le scan est programmé est trop volumineux. La taille maximale autorisée pour le scan de fichiers compressé est de 2 Go."];



var strExtToScanLength = ["Le nombre total de caractères dans les extensions de fichier que vous avez saisies et/ou sélectionnées doit être compris entre 1 et 1 023. \n\nTapez ou sélectionnez au moins une extension de fichier ou ajoutez moins d'extensions de fichier en une fois." ];


/* Link */
var strSecurityInfoLink = "http://threatinfo.trendmicro.com/vinfo/fr/";

/* Manual Scan */
var strStartManualScanFailed = ["Échec du lancement du scan manuel par Trend Micro NAS Security. Vérifiez que le service Trend Micro NAS Security fonctionne correctement. Si ce problème persiste, contactez l'assistance technique."];
var strSaveManualScanFailed = ["Échec de l'enregistrement des options de scan manuel par Trend Micro NAS Security. Vérifiez que le service Trend Micro NAS Security fonctionne correctement. Si ce problème persiste, contactez l'assistance technique."];

/* Scan Progress */
var strCloseWindow = ["Fermer cette fenêtre"];
var strConfirmStopScan = ["Voulez-vous vraiment arrêter ce scan ?"];

/* Update */
var strUpdateOptionIsNone= ["Aucune sélection n'a été réalisée. Sélectionnez le composant à mettre à jour, puis réessayez."];

/* Menu */
var strErrNoControlName = ["Nom de la cible introuvable"];
var strErrExceptionMenu = ["Une exception s'est produite :\n"];
var strErrNoParentMenu = ["Menu parent introuvable : "];
var strErrNoSingleMenu = ["Menus introuvables : "];
var strErrNoMenuItem = ["Élément de menu introuvable. Vérifiez à nouveau les paramètres de cette fonction."];

/* expiration */

/* password */
var strPasswordLength= ["Le mot de passe est trop long. Sa longueur est limitée à 32 caractères. Saisissez le mot de passe correct et réessayez."];               

/* serial number */

/* Java Plug-in */

/* Date */
var strInvalidDateFormat = ["Le format correct est MM/JJ/AAAA. Saisissez une date valide, puis réessayez."];
var strInvalidDate= ["Cette date n'existe pas. Le format correct est MM/JJ/AAAA. Saisissez une date valide, puis réessayez."];
var strInvalidYear= ["L'année doit être supérieure ou égale à 1900. Saisissez une date valide, puis réessayez."];
var strInvalidDateFormatFromTo = ["La date de fin doit être postérieure à la date de début. Saisissez une date valide, puis réessayez."];

/* URL */

/* Logs */
var strDaysToKeepLogs = ["La valeur du champ \"Jours de conservation des journaux\" doit être comprise entre 1 {0}. Saisissez une valeur correcte, puis réessayez."];
var strPageBoundary = "Le numéro de page doit être compris entre 1 et {0}.";
var strPurgeAfterToday = ["La date saisie est postérieure à la date du jour. Tous les journaux stockés seront supprimés. Voulez-vous continuer ?"];
var strConfirmDeleteLog = "Supprimer les journaux maintenant?";

/* Calendar */
var strCalMonthYearFormat = "{0} {1}"; // Original: "Jan. 2010"

var strShortMonthJan = "Jan";
var strShortMonthFeb = "Fév";
var strShortMonthMar = "Mar";
var strShortMonthApr = "Avr";
var strShortMonthMay = "Mai";
var strShortMonthJun = "Jun";
var strShortMonthJul = "Jul";
var strShortMonthAug = "Aoû";
var strShortMonthSep = "Sep";
var strShortMonthOct = "Oct";
var strShortMonthNov = "Nov";
var strShortMonthDec = "Déc";

var strShortWeekSun = "Di";
var strShortWeekMon = "Lu";
var strShortWeekTue = "Ma";
var strShortWeekWed = "Me";
var strShortWeekThu = "Je";
var strShortWeekFri = "Ve";
var strShortWeekSat = "Sa";

/* Proxy */
var strProxyServerLength = ["L'adresse IP/le nom du serveur proxy doit compter entre 1 et 255 caractères. Saisissez les informations correctes du serveur proxy, puis réessayez."]; 
var strProxyInvalidFormat = ["L'adresse IP/le nom du serveur proxy sont non valides. Saisissez les informations correctes du serveur proxy, puis réessayez."];
var strPasswordCharInvalid = ["Le mot de passe doit être au format ASCII."];
var strUserIdLength = ["L'ID d'utilisateur est trop long. Il ne peut compter plus de 255 caractères. Saisissez l'ID d'utilisateur correct, puis réessayez."];
var strUserIdCharInvalid = ["L'ID d'utilisateur doit être au format ASCII."];
var strProxyPort = ["La valeur du port doit être comprise entre 1 et 65 535. Saisissez une valeur correcte, puis réessayez."]; 
var strProxySwitchFormAlertMsg = ["Vous êtes sur le point d'accéder à un autre écran de configuration du serveur proxy. Les modifications non enregistrées dans l'écran actuel seront perdues. Enregistrez les modifications dans l'écran actuel avant de continuer.\n\nCliquez sur OK pour passer au nouvel écran sans enregistrer les modifications. Cliquez sur Annuler pour rester sur l'écran actuel.\n\n"];
var strNoGeneralProxySetAlert=["Le paramètre de proxy général n'est pas défini. Définissez-le d'abord ou choisissez des paramètres personnalisés pour la mise à jour des modèles."];

/*  SMTP */
/* Alert Settings */
 
        
        
        
        


        


     
   
        
        

var strExtInvalidFormat = ["La liste d'extension contient des caractères non valides ( \" . \[ \]) Modifiez la liste et réessayez."];

var strExtCharInvalid = ["Un jeu de caractères non-ASCII a été détecté. Tapez un non d'extension ASCII."];

var strConfigurationFileModified= ["Le fichier de configuration avait déjà été modifié par une autre application. Pour remplacer les modifications antérieures par les nouvelles, cliquez sur OK."];

var strSpecifiedFileExtensionsInvalid = ["Vous n'avez réalisé aucune sélection dans \"sélectionner les fichiers avec les extensions indiquées UNIQUEMENT\"." ];

//Scan action
var STR_CUSTOM_ACTION_PASS = ["Ignorer"];
var STR_CUSTOM_ACTION_DELETE = ["Supprimer"];
var STR_CUSTOM_ACTION_RENAME = ["Renommer"];
var STR_CUSTOM_ACTION_QUARANTINE = ["Mise en quarantaine"];
var STR_CUSTOM_ACTION_CLEAN = ["Nettoyer"];

//Virus Type
var STR_VIRUS_TYPE_UNIVERSE = "Tous les types";
var STR_VIRUS_TYPE_JOKE = "Programmes de blague";
var STR_VIRUS_TYPE_TROJAN = "Cheval de Troie";
var STR_VIRUS_TYPE_VIRUS = "Virus";
var STR_VIRUS_TYPE_TEST_VIRUS = "Virus de test";
var STR_VIRUS_TYPE_SPYWARE = "Spywares/graywares";
var STR_VIRUS_TYPE_PACKER = "Utilitaire de compression";
var STR_VIRUS_TYPE_OTHER = "Autre";

//Tool Tip
var strIntelliScanToolTip = ["IntelliScan","IntelliScan optimise les performances en examinant les en-têtes de fichiers à l'aide d'une reconnaissance réelle des types de fichiers et en analysant uniquement les types de fichiers connus comme susceptibles d'abriter un code malveillant.<p>La reconnaissance réelle des types de fichiers permet de détecter les codes malveillants pouvant être dissimulés sous des extensions a priori inoffensives."];
var strBackUpToolTip = ["Sauvegarde", "Trend Micro NAS Security permet de créer une copie de sauvegarde des fichiers pour lesquels la première action sélectionnée est \"nettoyer\". La fonctionnalité de sauvegarde ne concerne pas les autres actions telles que \"mettre en quarantaine\" et \"ignorer\"."];
var strActiveActionToolTip = ["ActiveAction","ActiveAction est un ensemble d'actions préconfigurées de recherche de virus et d’autres types de risque de sécurité potentiels. Ces actions sont actualisées avec chaque nouvelle mise à jour des signatures de virus de Trend Micro. Si vous ne maîtrisez pas les actions de recherche de virus ou si vous ne savez pas quelle action est adaptée à un certain type de risque pour la sécurité, Trend Micro recommande de choisir ActiveAction."];
var strIncludedOtherExtensionsToolTip = ["Autres extensions", "Saisissez d'autres extensions de fichier à inclure dans l'analyse. Ce champ ne respecte pas la casse. Vous pouvez ainsi saisir \"exe\" ou \"EXE\" pour désigner un fichier exécutable."];

//TMCM register
var strProxyUserNameInvalid				= "Saisissez un nom d'utilisateur d'authentification de serveur Proxy correct au format ASCII.";
